

First, I would suggest defining a z-matrix for your system.  I think
that GAMESS will guess a reasonable hessian, based on some empirical
rules, if internal coordinates are available.  When only using
cartesians GAMESS may be forced to start with a strictly diagonal
hessian, so that the first optimization steps are merely steepest
descent.

If that fails, you might try an STO-3G calculation with an analytical
hessian, and use the resulting geometry and hessian as input to the
3-21G run.

It might also help to pick a few symmetric geometries and optimize
them, then distort them just slightly and re-run without symmetry
constraints.